<!DOCTYPE html>
<html lang="de" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <title>Reservierungen</title>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="styles.css" rel="stylesheet" />
    <link href="btn_styles.css" rel="stylesheet" />
    <!--  jQuery -->
    <script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>

    <!-- Isolated Version of Bootstrap, not needed if your site already uses Bootstrap -->
    <link rel="stylesheet" href="https://formden.com/static/cdn/bootstrap-iso.css" />

    <!-- Bootstrap Date-Picker Plugin -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/js/bootstrap-datepicker.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/css/bootstrap-datepicker3.css"/>
</head>

<body>
<!-- Responsive navbar-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container px-5">
        <a class="navbar-brand bg-dark text-white" href="/index.html">Sharin' Drive</a>

        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ms-auto mb-2 mb-lg-0">

                <ul class="navbar-nav">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Aktionen
                        </a>
                        <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDarkDropdownMenuLink">
                            <li><a class="dropdown-item" href="/login">Home-Page</a></li>
                            <li><a class="dropdown-item" href="/fahrzeugadd">Fahrzeug hinzufügen</a></li>
                            <li><a class="dropdown-item" href="/listf">Fahrzeuge einsehen</a></li>
                            <li><a class="dropdown-item" href="/viewR">Reservierungen einsehen</a></li>
                            <li><a class="dropdown-item" href="/benutzeradd">Benutzer hinzufügen</a></li>
                            <li><a class="dropdown-item" href="/listb">Liste der Benutzer</a></li>
                            <li><a class="dropdown-item" href="/logout">Logout</a></li>
                        </ul>
                    </li>
                </ul>
            </ul>
        </div>


    </div>
</nav>
<div class="container py-5">
    <h1>Reservierung Hinzufügen</h1>
    <div class="bootstrap-iso">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-6 col-sm-6 col-xs-12">


                    <form maction="#" th:action="@{/reserFahr}" th:object="${resEingabe}" method="post">

                        <div class="container">
                            <div class="row">
                                <div class="col">
                                    <div class="form-group py-1">
                                        <label class="control-label" for="ausleihTag">Ausleihzeitpunkt: </label>
                                        <input class="form-control" id="ausleihTag" name="ausleihTag" placeholder="YYYY-MM-DD" type="text"/>
                                        <div class="py-2">
                                            <input id="ausleihZeit" type="time" name="appt-time" step="2" onkeypress="generateAusleihZeitpunkt()">
                                        </div>

                                        <input class="form-control" id="ausleihZeitpunkt"  th:field="*{ausleihZeitpunkt}"></input>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="form-group py-1">
                                        <label class="control-label" for="rueckgabeTag">Rueckgabezeitpunkt: </label>
                                        <input class="form-control" id="rueckgabeTag" name="rueckgabeTag" placeholder="YYYY-MM-DD" type="text"/>
                                        <div class="py-2">
                                            <input id="rueckgabeZeit" type="time" name="appt-time" step="2" oninput="generateRueckgabeZeitpunkt()">
                                        </div>
                                        <input id="rueckgabeZeitpunkt" class="form-control"  th:field="*{rueckgabeZeitpunkt}"></input>
                                    </div>

                                </div>
                            </div>
                        </div>


                        <div class="form-group">
                            <button class="btn btn-lg btn-success" name="submit" type="submit">Submit</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>




</div>
</div>
</body>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<!-- Core theme JS-->
<script src="js/scripts.js"></script>
<script src="https://cdn.startbootstrap.com/sb-forms-latest.js"></script>
<script>
            $(document).ready(function(){
              var date_input=$('input[name="ausleihTag"]');
              var container=$('.bootstrap-iso form').length>0 ? $('.bootstrap-iso form').parent() : "body";
              var options={
                format: 'yyyy-mm-dd',
                container: container,
                todayHighlight: true,
                autoclose: true,
              };
              date_input.datepicker(options);
            })
        </script>
<script>
            $(document).ready(function(){
              var date_input=$('input[name="rueckgabeTag"]');
              var container=$('.bootstrap-iso form').length>0 ? $('.bootstrap-iso form').parent() : "body";
              var options={
                format: 'yyyy-mm-dd',
                container: container,
                todayHighlight: true,
                autoclose: true,
              };
              date_input.datepicker(options);
            })
        </script>

<script type="text/javascript">
    function generateAusleihZeitpunkt()
    {
        document.getElementById('ausleihZeitpunkt').value =
            document.getElementById('ausleihTag').value + ' ' +
            document.getElementById('ausleihZeit').value;
    }
</script>

<script type="text/javascript">
    function generateRueckgabeZeitpunkt()
    {
        document.getElementById('rueckgabeZeitpunkt').value =
            document.getElementById('rueckgabeTag').value + ' ' +
            document.getElementById('rueckgabeZeit').value;
    }
</script>

</html>